package Ensembl.artemis;

/** stream-based skeleton class */

import org.omg.PortableServer.POA;
public class BioSequencePOATie
	extends BioSequencePOA
{
	private BioSequenceOperations _delegate;

	private POA _poa;
	public BioSequencePOATie(BioSequenceOperations delegate)
	{
		_delegate = delegate;
	}
	public BioSequencePOATie(BioSequenceOperations delegate, POA poa)
	{
		_delegate = delegate;
		_poa = poa;
	}
	public Ensembl.artemis.BioSequence _this()
	{
		return Ensembl.artemis.BioSequenceHelper.narrow(_this_object());
	}
	public Ensembl.artemis.BioSequence _this(org.omg.CORBA.ORB orb)
	{
		return Ensembl.artemis.BioSequenceHelper.narrow(_this_object(orb));
	}
	public BioSequenceOperations _delegate()
	{
		return _delegate;
	}
	public void _delegate(BioSequenceOperations delegate)
	{
		_delegate = delegate;
	}
	public int max_sequence_request()
	{
		return _delegate.max_sequence_request();
	}

	public int length()
	{
		return _delegate.length();
	}

	public java.lang.String getSubSequence(int start, int end) throws Ensembl.artemis.RequestedSequenceTooLong
	{
		return _delegate.getSubSequence(start,end);
	}

}
